SELinux - Bug #9805

Puppet master generates lots of invalid context messages
03/18/2015 04:55 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: General Foreman
Target version: 1.15.4
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1202924 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-s
elinux/pull/67

Description

During installation on RHEL7? | see this failure once, then catalog is compiled successfully:

Mar 13 10:11:07 fseven puppet-master[20182]: Failed to find fseven.zzz.lan via exec: Execution of

'/etc/puppet/node.rb fseven.zzz.lan' returned 1:

Looks like this is harmless, but we should investigate why this happens and if we can prevent this.

Associated revisions

Revision 31ebc8e7 - 08/31/2017 11:55 AM - Lukas Zapletal
Fixes #9805 - fixed file_contexts: invalid context (#67)

History

#1 - 03/18/2015 04:57 AM - Lukas Zapletal
- Bugzilla link set to 1202924

#2 - 03/18/2015 04:57 AM - Dominic Cleal

Please provide logs?

#3 - 03/18/2015 04:58 AM - Dominic Cleal
- Category deleted (foreman-installer script)

- Status changed from New to Need more information

#4 - 11/08/2016 10:43 AM - Bryan Kearney

- Status changed from Need more information to New

From downstream:

vrempet@li-lc-1017 ~
$ grep -c /etc/selinux/targeted/contexts/files/file_contexts /var/log/messages
512

vrempet@li-lc-1017 ~

$ grep /etc/selinux/targeted/contexts/files/file_contexts /var/log/messages | tail -n 5

Oct 5 12:45:11 li-lc-1017 puppet-master?®?: /etc/selinux/targeted/contexts/files/file_contexts:
Oct 5 12:45:38 li-lc-1017 puppet-master®®: /etc/selinux/targeted/contexts/files/file_contexts:
Oct 5 12:45:38 li-lc-1017 puppet-master®®®: /etc/selinux/targeted/contexts/files/file_contexts:
Oct 5 12:45:38 li-lc-1017 puppet-master®®: /etc/selinux/targeted/contexts/files/file_contexts:
Oct 5 12:45:38 li-lc-1017 puppet-master®®: /etc/selinux/targeted/contexts/files/file_contexts:

vrempet@li-lc-1017 ~

$ uptime
12:55:58 up 13 min, 1 user, load average: 0.01, 0.51, 0.65

05/18/2024

invalid context system_u:object_r:puppet_etc_t:s0
invalid context system_u:object_r:puppet_etc_t:s0
invalid context system_u:object_r:puppet_etc_t:s0
invalid context system_u:object_r:puppet_etc_t:s0
invalid context system_u:object_r:puppet_etc_t:s0
#5 - 11/08/2016 10:52 AM - Dominic Cleal

- Status changed from New to Need more information

Does the execution of node.rb outside of the puppet-master process work or fail? If it fails, please provide the Foreman logs.
Are there any AVC denials? I'm unsure that those log messages are relevant or show anything relating to the issue description.

The logs don't appear to come from the same host, are these definitely demonstrating the same underlying bug?

#6 - 03/13/2017 11:22 AM - Lukas Zapletal

- Project changed from Installer to SELinux

- Subject changed from Initial ENC run fails to Puppet master generates lots of invalid context messages
- Category set to General Foreman

- Status changed from Need more information to Assigned

- Assignee set to Lukas Zapletal

We have been able to track the issue down with help of SELinux team. It's a long story, | will provide patch soon. For more details see:

https://bugzilla.redhat.com/show_bug.cgi?id=1202924

#7 - 05/12/2017 04:31 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-selinux/pull/67 added

#8 - 08/31/2017 11:50 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 287

#9 - 08/31/2017 12:02 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 31ebc8e73a03dfc32aed8a9c6929404b00fa4{50.
